libgutenprint API Reference: include/gutenprint/channel.h File Reference

libgutenprint API Reference 5.2.11

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
channel.h File Reference

Channel functions. More...

## Functions
void | stp_channel_reset (stp_vars_t *v)
void | stp_channel_reset_channel (stp_vars_t *v, int channel)
void | stp_channel_add (stp_vars_t *v, unsigned channel, unsigned subchannel, double value)
double | stp_channel_get_value (stp_vars_t *v, unsigned channel, unsigned subchannel)
void | stp_channel_set_density_adjustment (stp_vars_t *v, int color, int subchannel, double adjustment)
double | stp_channel_get_density_adjustment (stp_vars_t *v, int color, int subchannel)
void | stp_channel_set_ink_limit (stp_vars_t *v, double limit)
double | stp_channel_get_ink_limit (stp_vars_t *v)
void | stp_channel_set_cutoff_adjustment (stp_vars_t *v, int color, int subchannel, double adjustment)
double | stp_channel_get_cutoff_adjustment (stp_vars_t *v, int color, int subchannel)
void | stp_channel_set_black_channel (stp_vars_t *v, int channel)
int | stp_channel_get_black_channel (stp_vars_t *v)
void | stp_channel_set_gloss_channel (stp_vars_t *v, int channel)
int | stp_channel_get_gloss_channel (stp_vars_t *v)
void | stp_channel_set_gloss_limit (stp_vars_t *v, double limit)
double | stp_channel_get_gloss_limit (stp_vars_t *v)
void | stp_channel_set_curve (stp_vars_t *v, int channel, const stp_curve_t *curve)
const stp_curve_t * | stp_channel_get_curve (stp_vars_t *v, int channel)
void | stp_channel_set_gcr_curve (stp_vars_t *v, const stp_curve_t *curve)
const stp_curve_t * | stp_channel_get_gcr_curve (stp_vars_t *v)
void | stp_channel_initialize (stp_vars_t *v, stp_image_t *image, int input_channel_count)
void | stp_channel_convert (const stp_vars_t *v, unsigned *zero_mask)
unsigned short * | stp_channel_get_input (const stp_vars_t *v)
unsigned short * | stp_channel_get_output (const stp_vars_t *v)

## Detailed Description

Channel functions.

## Function Documentation

void stp_channel_add | ( | stp_vars_t * | v,
|  | unsigned | channel,
|  | unsigned | subchannel,
|  | double | value
| ) |  |

void stp_channel_convert | ( | const stp_vars_t * | v,
|  | unsigned * | zero_mask
| ) |  |

int stp_channel_get_black_channel | ( | stp_vars_t * | v | ) |

const stp_curve_t* stp_channel_get_curve | ( | stp_vars_t * | v,
|  | int | channel
| ) |  |

double stp_channel_get_cutoff_adjustment | ( | stp_vars_t * | v,
|  | int | color,
|  | int | subchannel
| ) |  |

double stp_channel_get_density_adjustment | ( | stp_vars_t * | v,
|  | int | color,
|  | int | subchannel
| ) |  |

const stp_curve_t* stp_channel_get_gcr_curve | ( | stp_vars_t * | v | ) |

int stp_channel_get_gloss_channel | ( | stp_vars_t * | v | ) |

double stp_channel_get_gloss_limit | ( | stp_vars_t * | v | ) |

double stp_channel_get_ink_limit | ( | stp_vars_t * | v | ) |

unsigned short* stp_channel_get_input | ( | const stp_vars_t * | v | ) |

unsigned short* stp_channel_get_output | ( | const stp_vars_t * | v | ) |

double stp_channel_get_value | ( | stp_vars_t * | v,
|  | unsigned | channel,
|  | unsigned | subchannel
| ) |  |

void stp_channel_initialize | ( | stp_vars_t * | v,
|  | stp_image_t * | image,
|  | int | input_channel_count
| ) |  |

void stp_channel_reset | ( | stp_vars_t * | v | ) |

void stp_channel_reset_channel | ( | stp_vars_t * | v,
|  | int | channel
| ) |  |

void stp_channel_set_black_channel | ( | stp_vars_t * | v,
|  | int | channel
| ) |  |

void stp_channel_set_curve | ( | stp_vars_t * | v,
|  | int | channel,
|  | const stp_curve_t * | curve
| ) |  |

void stp_channel_set_cutoff_adjustment | ( | stp_vars_t * | v,
|  | int | color,
|  | int | subchannel,
|  | double | adjustment
| ) |  |

void stp_channel_set_density_adjustment | ( | stp_vars_t * | v,
|  | int | color,
|  | int | subchannel,
|  | double | adjustment
| ) |  |

void stp_channel_set_gcr_curve | ( | stp_vars_t * | v,
|  | const stp_curve_t * | curve
| ) |  |

void stp_channel_set_gloss_channel | ( | stp_vars_t * | v,
|  | int | channel
| ) |  |

void stp_channel_set_gloss_limit | ( | stp_vars_t * | v,
|  | double | limit
| ) |  |

void stp_channel_set_ink_limit | ( | stp_vars_t * | v,
|  | double | limit
| ) |  |